# -*- coding: utf-8 -*-
""" Hera Prodotto Project  fhcore.admin.translation_base > by Frankhood
    @author: Frankhood Business Solutions
"""
from django.contrib import admin
from django.utils.translation import ungettext, ugettext_lazy as _
from fhcore.admin.base import BaseCategoryModelAdmin,\
    BaseOrderedCategoryModelAdmin
from fhcore.admin.translation_admin import ModelTranslationAdminMixin

class BaseCategoryTranslatedModelAdmin(BaseCategoryModelAdmin, ModelTranslationAdminMixin):
    search_fields = ['name']


class BaseOrderedCategoryTranslatedModelAdmin(BaseOrderedCategoryModelAdmin, ModelTranslationAdminMixin):
    search_fields = ['name']