# -*- coding: utf-8 -*-
""" BariBlu - Il Circo - Facebook App >  project.apps.game.settings by Frankhood
    @author: Frankhood Business Solutions
    @author: Gaetano D'Onghia
"""
from __future__ import absolute_import, print_function, unicode_literals
from django.utils.encoding import python_2_unicode_compatible

import datetime
from django.conf import settings
from django.utils.translation import ugettext_lazy as _

"""
CONTEST_START_TIME = datetime.time(18,00)
CONTEST_END_TIME = datetime.time(20,00)

CONTEST_TIME_FREQUENCY = 24*60*60 #ogni 24 ore

CONTEST_START_DATE = datetime.datetime(2013, 12, 2, 00, 00) # fine : 23:59 del 31 12
CONTEST_END_DATE = datetime.datetime(2013, 12, 22, 23, 59) # fine : 23:59 del 31 12

GROUP_PLAYERS_NUMBER = 5
DAILY_WINNER_GROUPS = 7

if settings.DEBUG:
    CONTEST_START_DATE = datetime.datetime(2013, 11, 18, 00, 00) # fine : 23:59 del 31 12
    #CONTEST_START_DATE = datetime.datetime.today()-datetime.timedelta(20) #20 giorni fa
    CONTEST_START_TIME = datetime.time(18,00)#(9,00)
    CONTEST_END_TIME = datetime.time(20,00)#(10,00)
    CONTEST_TIME_FREQUENCY = 24*60*60 #ogni 24 ore
    DAILY_WINNER_GROUPS = 1

    #CONTEST_END_DATE = datetime.datetime(2013, 10, 22, 23, 59)

CONTEST_START_SLOT_TIME = CONTEST_START_TIME
CONTEST_END_SLOT_TIME = datetime.time(19,45)
CONTEST_START_SLOT_DATE = datetime.datetime(2013, 12, 3, 0, 0)
CONTEST_END_SLOT_DATE = datetime.datetime(2013, 12, 8, 23, 59) # CONTEST_END_DATE
"""


MODS_EMAILS = getattr(settings, 'MODS_EMAILS',["info@frankhood.it"])
DEFAULT_FROM_EMAIL = getattr(settings, 'DEFAULT_FROM_EMAIL', "noreply@frankhood.it")
DEFAULT_TO_EMAIL = getattr(settings, 'DEFAULT_TO_EMAIL', ["noreply@frankhood.it",])

FB_PLAYER_TYPE = "FB"
SITE_PLAYER_TYPE = "SITE"

PLAYER_CHOICES = (
                  (FB_PLAYER_TYPE , _('FACEBOOK')),
                  (SITE_PLAYER_TYPE, _('SITE PLAYER')),
                  )

PLAYER_CHOICES = getattr(settings, 'PLAYER_CHOICES', PLAYER_CHOICES)

