# -*- coding: utf-8 -*-
from __future__ import absolute_import, unicode_literals

from django.core.urlresolvers import reverse as standard_reverse


def fb_reverse(request, *args, **kwargs):
    querystring = kwargs.pop('querystring', None)
    u = standard_reverse(*args, **kwargs)
    if getattr(request.session, 'iframe_patched', False):
        u = '%s?ssid=%s' % (u, request.session.session_key)
    if querystring:
        if "?" in u:
            if u[-1] == '?':
                u += querystring
            else:
                u += '&'+querystring
        else:
            u += '?'+querystring
    return u
